Xalan-Java 2.7.1: Class StringValueHandler

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.runtime
Class StringValueHandler

    java.lang.Object
      |
      +--org.apache.xml.serializer.EmptySerializer
            |
            +--org.apache.xalan.xsltc.runtime.StringValueHandler

public final class StringValueHandler
extends EmptySerializer

Constructor Summary
`StringValueHandler()`

Method Summary
`void` | `characters(char[] ch, int off, int len)`
`void` | `characters(java.lang.String characters)`
`void` | `endElement(java.lang.String qname)`
`java.lang.String` | `getValue()`
`java.lang.String` | `getValueOfPI()` The value of a PI must not contain the substring "?>".
`boolean` | `setEscaping(boolean bool)`
`void` | `startElement(java.lang.String qname)`

Methods inherited from class org.apache.xml.serializer.EmptySerializer
`addAttribute, addAttribute, addAttribute, addAttributes, addUniqueAttribute, addXSLAttribute, asContentHandler, asDOM3Serializer, asDOMSerializer, attributeDecl, characters, close, comment, comment, elementDecl, endCDATA, endDocument, endDTD, endElement, endEntity, endPrefixMapping, entityReference, error, externalEntityDecl, fatalError, flushPending, getDoctypePublic, getDoctypeSystem, getEncoding, getIndent, getIndentAmount, getMediaType, getNamespaceMappings, getNamespaceURI, getNamespaceURIFromPrefix, getOmitXMLDeclaration, getOutputFormat, getOutputProperty, getOutputPropertyDefault, getOutputStream, getPrefix, getStandalone, getTransformer, getVersion, getWriter, ignorableWhitespace, internalEntityDecl, namespaceAfterStartElement, notationDecl, processingInstruction, reset, serialize, setCdataSectionElements, setCdataSectionElements, setContentHandler, setDoctype, setDoctypePublic, setDoctypeSystem, setDocumentLocator, setDTDEntityExpansion, setEncoding, setIndent, setIndentAmount, setMediaType, setNamespaceMappings, setOmitXMLDeclaration, setOutputFormat, setOutputProperty, setOutputPropertyDefault, setOutputStream, setSourceLocator, setStandalone, setTransformer, setVersion, setWriter, skippedEntity, startCDATA, startDocument, startDTD, startElement, startElement, startEntity, startPrefixMapping, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringValueHandler

    public StringValueHandler()

Method Detail

### characters

    public void characters(char[] ch,
                           int off,
                           int len)
                    throws SAXException

  Overrides:
    characters in class EmptySerializer

### getValue

    public java.lang.String getValue()

### characters

    public void characters(java.lang.String characters)
                    throws SAXException

  Overrides:
    characters in class EmptySerializer

### startElement

    public void startElement(java.lang.String qname)
                      throws SAXException

  Overrides:
    startElement in class EmptySerializer

### endElement

    public void endElement(java.lang.String qname)
                    throws SAXException

  Overrides:
    endElement in class EmptySerializer

### setEscaping

    public boolean setEscaping(boolean bool)

  Overrides:
    setEscaping in class EmptySerializer

### getValueOfPI

    public java.lang.String getValueOfPI()

  The value of a PI must not contain the substring "?>". Should that substring be present, replace it by "? >".

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.